<template>
  <div class="app-container">
    <van-nav-bar
      left-arrow
      fixed
      placeholder
      @click-left="$router.back(-1)"
      @click-right="goAdd"
    >
      <template #title>
        <p style="font-weight: bold;">合作经营</p>
      </template>
              <template #right>
                <van-icon name="add" size="18" />
              </template>
    </van-nav-bar>
    <van-list
      v-model="loading"
      :finished="finished"
      finished-text="没有更多了"
      @load="getList"
    >
      <van-swipe-cell v-for="(item,index) in applicationList" :key="index">
        <van-cell :title="item.zjddm" center :to="{name:'hzjyDetails', query: {id:item.id}}" >
          <template #icon>
            <div class="icon" style="background:#FFA63E;width: 45px;">
              <van-icon name="../../../../static/images/onlineHome/icon_hzjy.png" size="30" color="#3AC2DB" style="margin-left: 3px;margin-top: 3px;" />
            </div>
          </template>
          <template #label>
            <p>{{item.zcfmc}}{{item.zcfdh}}</p>
          </template>
        </van-cell>
        <template #right>
          <van-row>
            <van-col>
              <van-button square text="修改"  :to="{name:'hzjyModify', query: {id:item.id}}" type="info" class="delete-button" />
            </van-col>
            <van-col>
              <van-button square text="删除"   @click="deleteList(item.id,index)" type="danger" class="delete-button" />
            </van-col>
          </van-row>
        </template>

      </van-swipe-cell>
    </van-list>
  </div>
</template>

<script>
  import { getList,delPhxxb } from "@/api/onlineHome/phfs/phfs";
  import {getGeoServerConfigKey} from "@/api/system/config";
  export default {
    name: "paidUtilizeList",
    data() {
      return {
        applicationList:[],
        houseApplyStatus:[],
        sexStatus:[],
        tclxStatus:[],
        tcfsStatus:[],
        auditStatus:[],
        loading: false,
        finished: false,
        queryParams:{
          pageNum:1,
          pageSize:10,
          phfs:"04",
          orderByColumn:'id',
          isAsc:'desc'
        },
        //地图服务地址
        mapGeoServerUrl:"",
      };
    },
    created() {
      this.houseGetDicts("sex").then((res) => {
        this.sexStatus = res.data;
      });

    },
    methods: {
      goAdd(){
        window.location = 'hzjyAdd';
      },
      getList(){
        setTimeout(() => {
          getList(this.queryParams).then(response => {
            for (var i = 0; i < response.rows.length; i++) {
              response.rows[i].zcfxb = this.selectDictLabel(this.sexStatus, response.rows[i].zcfxb)
              this.applicationList.push(response.rows[i]);
              console.log(this.applicationList);
            }
            if(this.applicationList.length >= response.total){
              this.finished = true;
              return;
            }else{
              this.loading = false;
              this.queryParams.pageNum += 1 ;
            }
          });
        }, 1000);
      },
      deleteList(id,index){
        this.$dialog.confirm({
          message: '您确认删除申请草稿？',
        })
          .then(() => {
            // on confirm
            this.applicationList.splice(index,1)
            delPhxxb(id).then(res => {
              if(res.code = 200){
                this.$toast.success('删除成功');
              }
            });
          })
          .catch(() => {
            // on cancel
          });
      },
    },
  }
</script>

<style scoped lang="scss">
  .app-container {
    padding: 0.2rem 3%;
  }
  /deep/.van-cell__title{
    flex: 0.7;
  }
  /deep/.van-cell__title span{
    font-family: Arial;
    font-size: 0.4rem;
    font-weight: normal;
  }
  /deep/.van-cell__value{
    flex: 0.3;
    color: #1D6FE9;
    font-weight: bold;
  }
  /deep/.van-swipe-cell{
    margin-bottom: 0.2rem;
    border-radius: 0.2rem;
    overflow: hidden;
    box-shadow: 0px 3px 6px 0px rgba(0,0,0,0.16);
  }
  /deep/van-ellipsis{
    font-weight: bold;
  }
  .delete-button {
    height: 100%;
  }
  .van-row{
    height: 100%;
  }
  .van-col{
    height: 100%;
  }
</style>
